import type { Database } from 'bun:sqlite';
import type { BunSQLiteDatabase } from 'drizzle-orm/bun-sqlite';
import type { WrappedTimer } from './wrapped-timer';

declare global {
  var db: Database;
  var drizzleDB: BunSQLiteDatabase;
  var performanceObserver: PerformanceObserver;
  var wrappedTimers: Map<string, WrappedTimer>;
}
